/* eslint-disable no-shadow */

/* eslint-disable no-unused-vars */
'use strict';

Object.defineProperty(exports, '__esModule', {
  value: true
});

var fs = require('fs');

var path = require('path');

var appRoot = require('app-root-path');

var deleteEntireDirectory = function deleteEntireDirectory(path) {
  if (fs.existsSync(path)) {
    fs.readdirSync(path).forEach(function (file) {
      var curPath = path + '/' + file;
      if (fs.lstatSync(curPath).isDirectory()) deleteEntireDirectory(curPath);else fs.unlinkSync(curPath);
    });
    fs.rmdirSync(path);
  }
};

var deleteOnlyFiles = function deleteOnlyFiles(path) {
  if (fs.existsSync(path)) {
    fs.readdirSync(path).forEach(function (file) {
      var curPath = path + '/' + file;
      if (fs.lstatSync(curPath).isDirectory()) deleteEntireDirectory(curPath);else fs.unlinkSync(curPath);
    });
  }
};

exports.deleteEntireDirectory = deleteEntireDirectory;

var deleteAllureData = function deleteAllureData(appRootPath, allureConfig) {
  var resultDir = '' + appRootPath + allureConfig.RESULT_DIR;
  var reportDir = '' + appRootPath + allureConfig.REPORT_DIR;

  if (allure.docAllureConfig.CLEAN_REPORT_DIR) {
    if (fs.existsSync(reportDir)) deleteEntireDirectory(reportDir);
    if (fs.existsSync(resultDir)) deleteEntireDirectory(resultDir);
  }
};

var deleteVideos = function deleteVideos() {
  if (allure.docAllureConfig.CLEAN_VIDEOS) {
    const videoOutput = allure.docAllureConfig.VIDEO_PATH;
    const path1 = path.resolve(appRoot.path + '/' + videoOutput); // Part 1

    const dirs = fs.readdirSync(path1);
    const last = dirs[dirs.length - 1];
    const path2 = path.join(path1, `${last}`);
    const videoDir = path2;
    if (fs.existsSync(videoDir)) deleteEntireDirectory(videoDir);
  }
};

var deleteScreenshots = function deleteScreenshots() {
  if (allure.docAllureConfig.CLEAN_SCREENSHOTS) {
    const screenshotOutput = allure.docAllureConfig.SCREENSHOT_PATH;
    const path1 = path.resolve(appRoot.path + '/' + screenshotOutput); // Part 1

    const dirs = fs.readdirSync(path1);
    const last = dirs[dirs.length - 1]; // pak de laatste (de meeste recente) screenshots-map

    const path2 = path.join(path1, `${last}`);
    const screenshotsDir = path2;
    if (fs.existsSync(screenshotsDir)) deleteEntireDirectory(screenshotsDir);
  }
};

exports.deleteVideos = deleteVideos;
exports.deleteScreenshots = deleteScreenshots;
exports.deleteAllureData = deleteAllureData;